<?php

//use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use App\Helpers\ZoomHelper;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Route;
use Mcamara\LaravelLocalization\Facades\LaravelLocalization;

//Route::get('language/{id}/{slug?}', 'LanguageController@details');
/**
 * Localization Group
 */

Route::group(['prefix' => LaravelLocalization::setLocale()], function(){

    Route::get('/', function (){
        return redirect()->route('admin_login');
    });

//    Route::group(['namespace' => 'Web','middleware' => [ 'checkWebSiteEnabled', 'WebsiteVisitorCount'] ], function () {
//        Route::get('/', 'HomeController@index')->name('home');
//
//        Route::get('/login', 'UserController@login')->name('user.login');
//        Route::get('/register', 'UserController@register')->name('user.register');
//        Route::post('/reg-and-login', 'UserController@doRegAndLogin')->name('user.doRegAndLogin');
//        Route::get('/type-verify-code', 'UserController@typeVerifyCode')->name('user.typeVerifyCode');
//        Route::post('/code-verification', 'UserController@verifyCode')->name('user.verifyCode');
//        Route::get('/resendCode', 'UserController@resendCode')->name('user.resendCode');
//
//        Route::get('/complete-register', 'UserController@completeRegister')->name('user.completeRegister');
//        Route::post('/complete-register', 'UserController@doCompleteRegister')->name('user.doCompleteRegister');
//
//
//        Route::get('news', 'NewsController@index')->name('news.index');
//        Route::get('news/{news}/{slug?}', 'NewsController@show')->name('news.show');
//        Route::get('partner', 'PartnerController@index')->name('partner.index');
//        Route::get('about-us', 'AboutUsController@index')->name('aboutUs');
//        Route::get('/contact-us', 'VisitorMessageController@index')->name('contactUs');
//        Route::post('/contact-us', 'VisitorMessageController@store')->name('send_contact_us');
//        Route::post('/newsletter', 'NewsletterController@store')->name('newsletter');
//        Route::get('/privacy-policy', 'HomeController@privacyPolicy')->name('privacyPolicy');
//        Route::get('/terms-conditions', 'HomeController@termsConditions')->name('termsConditions');
//
//
//        Route::group(['middleware' => 'RedirectToPreviousLink'], function () {
//            Route::group(['middleware' => 'UserAuth'], function (){
//                Route::get('/profile', 'UserController@profile')->name('user.profile');
//                Route::get('/edit-profile', 'UserController@profileForm')->name('user.profileForm');
//                Route::get('/edit-phone', 'UserController@phoneForm')->name('user.phoneForm');
//                Route::post('/update-profile/{user}', 'UserController@updateProfile')->name('user.updateProfile');
//                Route::post('/update-phone/{user}', 'UserController@updatePhone')->name('user.updatePhone');
//                Route::get('my-consulting', 'UserController@myConsulting')->name('user.myConsulting');
//                Route::get('my-consulting-details/{consultingRequest}', 'UserController@myConsultingDetails')->name('user.myConsultingDetails');
//                Route::post('my-consulting-evaluate/{consultingRequest}', 'UserController@consultingEvaluate')->name('user.consultingEvaluate');
//                Route::post('my-consulting-complaint/{consultingRequest}', 'UserController@consultingComplaint')->name('user.consultingComplaint');
//                Route::get('my-documentations', 'UserController@myDocumentations')->name('user.myDocumentations');
//                Route::get('my-documentation-details/{documentationRequest}', 'UserController@myDocumentationDetails')->name('user.myDocumentationDetails');
//                Route::get('notifications', 'UserController@notifications')->name('user.notifications');
//                Route::get('make-notification-as-read/{notification?}', 'UserController@makeNotificationAsRead')->name('user.makeNotificationAsRead');
//
//
//
//                Route::any('/logout', 'UserController@logout')->name('user.logout');
//
//                // Consulting block routes
//                Route::get('/consulting', 'ConsultingController@index')->name('consulting.index');
//                Route::get('/consulting-booking/{consultingType}', 'ConsultingController@consultingBookingForm')->name('consulting.consultingBookingForm');
//                Route::post('/consulting-booking/{consultingType}', 'ConsultingController@consultingRequest')->name('consulting.consultingRequest');
//                Route::get('/get-consulting-date-time', 'ConsultingController@getConsultingDateAndTime')->name('consulting.getConsultingDateAndTime');
//
//                // Documentation block routes
//                Route::get('/documentation', 'DocumentationController@index')->name('documentation.index');
//                Route::post('/documentation-booking', 'DocumentationController@documentationRequest')->name('documentation.documentationRequest');
//                Route::get('/get-documentation-data-time', 'DocumentationController@getDocumentationDateAndTime')->name('documentation.getDocumentationDateAndTime');
//
//                // Cases block routes
//                Route::get('/cases', 'CaseController@index')->name('cases.index');
//                Route::post('/case-request', 'CaseController@caseRequest')->name('cases.caseRequest');
//
//                // Training block routes
//                Route::get('/trainings', 'TrainingController@index')->name('trainings.index');
//                Route::post('/training-request', 'TrainingController@trainingRequest')->name('trainings.trainingRequest');
//
//
//                Route::get('/check-coupon', 'CouponController@checkCoupon')->name('checkCoupon');
//                Route::get('callback', 'MyFatoorah@callback')->name('callback');
//
//
//            });
//        });
//    });


    /**
     * this route for the central admin and central super admin to enable them to use this website
     */
    Route::get('/login/{admin_token}', 'Auth\LoginController@superAdminLogin')->name('superAdminLogin');

    /**
     * Authentication routes , and Authentication user routs
     */
//	Auth::routes();

    /**
     * Admin Routes
     */
    Route::group([ 'prefix'=> 'admin', 'namespace' => 'Admin'], function () {

        Route::get('/login', 'LoginController@index');
        Route::post('/login', 'LoginController@authenticate')->name('admin_login');

        Route::group([ 'middleware' => ['admin_auth']], function () {
            Route::get('/', 'DashboardController@index')->name('dashboard');

            Route::post('/logout', 'LoginController@logout')->name('admin_logout');

            Route::group([ 'middleware' => ['checkRole']], function () {

                Route::put('/banks/restore/{id}', 'BankController@restore')->name('banks.restore');
                Route::put('/banks/restore', 'BankController@restoreAll')->name('banks.restoreAll');
                Route::delete('/banks', 'BankController@destroyAll')->name('banks.destroyAll');
                Route::get('/banks/grid', 'BankController@grid')->name('banks.grid');
                Route::resource('/banks', 'BankController');

                Route::put('/countries/restore/{id}', 'CountryController@restore')->name('countries.restore');
                Route::put('/countries/restore', 'CountryController@restoreAll')->name('countries.restoreAll');
                Route::delete('/countries', 'CountryController@destroyAll')->name('countries.destroyAll');
                Route::get('/countries/grid', 'CountryController@grid')->name('countries.grid');
                Route::resource('/countries', 'CountryController');

                Route::put('/photoGalleries/restore/{id}', 'PhotoGalleryController@restore')->name('photoGalleries.restore');
                Route::put('/photoGalleries/restore', 'PhotoGalleryController@restoreAll')->name('photoGalleries.restoreAll');
                Route::delete('/photoGalleries', 'PhotoGalleryController@destroyAll')->name('photoGalleries.destroyAll');
                Route::get('/photoGalleries/grid', 'PhotoGalleryController@grid')->name('photoGalleries.grid');
                Route::resource('/photoGalleries', 'PhotoGalleryController');

                Route::put('/sliders/restore/{id}', 'SliderController@restore')->name('sliders.restore');
                Route::put('/sliders/restore', 'SliderController@restoreAll')->name('sliders.restoreAll');
                Route::delete('/sliders', 'SliderController@destroyAll')->name('sliders.destroyAll');
                Route::get('/sliders/grid', 'SliderController@grid')->name('sliders.grid');
                Route::resource('/sliders', 'SliderController');

                Route::put('/articles/restore/{id}', 'ArticleController@restore')->name('articles.restore');
                Route::put('/articles/restore', 'ArticleController@restoreAll')->name('articles.restoreAll');
                Route::delete('/articles', 'ArticleController@destroyAll')->name('articles.destroyAll');
                Route::get('/articles/grid', 'ArticleController@grid')->name('articles.grid');
                Route::resource('/articles', 'ArticleController');

                Route::put('/services/restore/{id}', 'ServiceController@restore')->name('services.restore');
                Route::put('/services/restore', 'ServiceController@restoreAll')->name('services.restoreAll');
                Route::delete('/services', 'ServiceController@destroyAll')->name('services.destroyAll');
                Route::get('/services/grid', 'ServiceController@grid')->name('services.grid');
                Route::resource('/services', 'ServiceController');

                Route::put('/products/restore/{id}', 'ProductController@restore')->name('products.restore');
                Route::put('/products/restore', 'ProductController@restoreAll')->name('products.restoreAll');
                Route::delete('/products', 'ProductController@destroyAll')->name('products.destroyAll');
                Route::get('/products/grid', 'ProductController@grid')->name('products.grid');
                Route::resource('/products', 'ProductController');

                Route::put('/supliers/restore/{id}', 'SuplierController@restore')->name('supliers.restore');
                Route::put('/supliers/restore', 'SuplierController@restoreAll')->name('supliers.restoreAll');
                Route::delete('/supliers', 'SuplierController@destroyAll')->name('supliers.destroyAll');
                Route::get('/supliers/grid', 'SuplierController@grid')->name('supliers.grid');
                Route::resource('/supliers', 'SuplierController');

                // TESTIMONIALS ROUTES
                Route::put('/testimonials/restore/{id}', 'TestimonialController@restore')->name('testimonials.restore');
                Route::put('/testimonials/restore', 'TestimonialController@restoreAll')->name('testimonials.restoreAll');
                Route::delete('/testimonials', 'TestimonialController@destroyAll')->name('testimonials.destroyAll');
                Route::get('/testimonials/grid', 'TestimonialController@grid')->name('testimonials.grid');
//                Route::get('/testimonials/activeComment/{testimonial}', 'TestimonialController@activeComment')->name('testimonials.activeComment');
                Route::resource('/testimonials', 'TestimonialController');

                Route::put('/occasions/restore/{id}', 'OccasionController@restore')->name('occasions.restore');
                Route::put('/occasions/restore', 'OccasionController@restoreAll')->name('occasions.restoreAll');
                Route::delete('/occasions', 'OccasionController@destroyAll')->name('occasions.destroyAll');
                Route::get('/occasions/grid', 'OccasionController@grid')->name('occasions.grid');
                Route::resource('/occasions', 'OccasionController');

                Route::put('/jobApplications/restore/{id}', 'JobApplicationController@restore')->name('jobApplications.restore');
                Route::put('/jobApplications/restore', 'JobApplicationController@restoreAll')->name('jobApplications.restoreAll');
                Route::delete('/jobApplications', 'JobApplicationController@destroyAll')->name('jobApplications.destroyAll');
                Route::get('/jobApplications/grid', 'JobApplicationController@grid')->name('jobApplications.grid');
                Route::resource('/jobApplications', 'JobApplicationController')->only(['index', 'edit', 'destroy']);

                Route::put('/gucs/restore/{id}', 'GucController@restore')->name('gucs.restore');
                Route::put('/gucs/restore', 'GucController@restoreAll')->name('gucs.restoreAll');
                Route::delete('/gucs', 'GucController@destroyAll')->name('gucs.destroyAll');
                Route::get('/gucs/grid', 'GucController@grid')->name('gucs.grid');
                Route::resource('/gucs', 'GucController');

                Route::get('/pages/grid', 'PageController@grid')->name('pages.grid');
                Route::resource('/pages', 'PageController')->only(['index', 'edit', 'update']);

                Route::put('/newsletters/restore/{id}', 'NewsletterController@restore')->name('newsletters.restore');
                Route::put('/newsletters/restore', 'NewsletterController@restoreAll')->name('newsletters.restoreAll');
                Route::delete('/newsletters', 'NewsletterController@destroyAll')->name('newsletters.destroyAll');
                Route::get('/newsletters/grid', 'NewsletterController@grid')->name('newsletters.grid');
                Route::get('/newsletters/mailsList', 'NewsletterController@mailsList')->name('newsletters.mailsList');
                Route::get('/newsletters/mailsListGrid', 'NewsletterController@mailsListGrid')->name('newsletters.mailsListGrid');
                Route::get('/newsletters/mailsListMore/{id}', 'NewsletterController@mailsListMore')->name('newsletters.mailsListMore');
                Route::resource('/newsletters', 'NewsletterController');

                Route::put('/visitorMessages/restore/{id}', 'VisitorMessageController@restore')->name('visitorMessages.restore');
                Route::put('/visitorMessages/restore', 'VisitorMessageController@restoreAll')->name('visitorMessages.restoreAll');
                Route::delete('/visitorMessages', 'VisitorMessageController@destroyAll')->name('visitorMessages.destroyAll');
                Route::get('/visitorMessages/grid', 'VisitorMessageController@grid')->name('visitorMessages.grid');
                Route::resource('/visitorMessages', 'VisitorMessageController');

                Route::put('/users/restore/{id}', 'UserController@restore')->name('users.restore');
                Route::put('/users/restore', 'UserController@restoreAll')->name('users.restoreAll');
                Route::delete('/users', 'UserController@destroyAll')->name('users.destroyAll');
                Route::get('/users/grid', 'UserController@grid')->name('users.grid');
                Route::resource('/users', 'UserController');

//                Route::get('/settings', 'DashboardController@index')->name('admin_settings');
                Route::get('/settings', 'SettingController@index')->name('settings.index');
                Route::post('/settings', 'SettingController@store')->name('settings.store');
                Route::post('/modules-settings', 'SettingController@modules')->name('settings.modules');


                /*
                | #######################################
                | #######################################
                |
                 */


                Route::put('/consultings/restore/{id}', 'ConsultingController@restore')->name('consultings.restore');
                Route::put('/consultings/restore', 'ConsultingController@restoreAll')->name('consultings.restoreAll');
                Route::delete('/consultings', 'ConsultingController@destroyAll')->name('consultings.destroyAll');
                Route::get('/consultings/grid', 'ConsultingController@grid')->name('consultings.grid');
                Route::get('/consultings/activeConsulting/{consulting}', 'ConsultingController@activeConsulting')->name('consultings.activeConsulting');
//                Route::get('/consultings/details', 'ConsultingController@details')->name('consultings.details');
//                Route::post('/consultings/details/{consultingDetail}', 'ConsultingController@updateDetails')->name('consultings.updateDetails');
                Route::resource('/consultings', 'ConsultingController');

//                Route::put('/activeConsultings/restore/{id}', 'ActiveConsultingController@restore')->name('activeConsultings.restore');
//                Route::put('/activeConsultings/restore', 'ActiveConsultingController@restoreAll')->name('activeConsultings.restoreAll');
//                Route::delete('/activeConsultings', 'ActiveConsultingController@destroyAll')->name('activeConsultings.destroyAll');
                Route::get('/activeConsultings/grid', 'ActiveConsultingController@grid')->name('activeConsultings.grid');
                Route::get('/activeConsultings/consultationStatus/{activeConsulting}', 'ActiveConsultingController@consultationStatus')->name('activeConsultings.consultationStatus');
                Route::resource('/activeConsultings', 'ActiveConsultingController')->only(['index', 'edit', 'update']);

//                Route::put('/finishedConsultings/restore/{id}', 'FinishedConsultingController@restore')->name('finishedConsultings.restore');
//                Route::put('/finishedConsultings/restore', 'FinishedConsultingController@restoreAll')->name('finishedConsultings.restoreAll');
//                Route::delete('/finishedConsultings', 'FinishedConsultingController@destroyAll')->name('finishedConsultings.destroyAll');
                Route::get('/finishedConsultings/grid', 'FinishedConsultingController@grid')->name('finishedConsultings.grid');
                Route::resource('/finishedConsultings', 'FinishedConsultingController')->only(['index', 'edit', 'update']);


                Route::put('/documentationTypes/restore/{id}', 'DocumentationTypeController@restore')->name('documentationTypes.restore');
                Route::put('/documentationTypes/restore', 'DocumentationTypeController@restoreAll')->name('documentationTypes.restoreAll');
                Route::delete('/documentationTypes', 'DocumentationTypeController@destroyAll')->name('documentationTypes.destroyAll');
                Route::get('/documentationTypes/grid', 'DocumentationTypeController@grid')->name('documentationTypes.grid');
                Route::resource('/documentationTypes', 'DocumentationTypeController');

                Route::put('/documentations/restore/{id}', 'DocumentationController@restore')->name('documentations.restore');
                Route::put('/documentations/restore', 'DocumentationController@restoreAll')->name('documentations.restoreAll');
                Route::delete('/documentations', 'DocumentationController@destroyAll')->name('documentations.destroyAll');
                Route::get('/documentations/grid', 'DocumentationController@grid')->name('documentations.grid');
                Route::get('/documentations/activeDocumentation/{documentation}', 'DocumentationController@activeDocumentation')->name('documentations.activeDocumentation');
                Route::resource('/documentations', 'DocumentationController');

                Route::put('/documentationRequests/restore/{id}', 'DocumentationRequestController@restore')->name('documentationRequests.restore');
                Route::put('/documentationRequests/restore', 'DocumentationRequestController@restoreAll')->name('documentationRequests.restoreAll');
                Route::delete('/documentationRequests', 'DocumentationRequestController@destroyAll')->name('documentationRequests.destroyAll');
                Route::get('/documentationRequests/grid', 'DocumentationRequestController@grid')->name('documentationRequests.grid');
                Route::get('/documentationRequests/changeStatus/{documentationRequest}', 'DocumentationRequestController@changeStatus')->name('documentationRequests.changeStatus');
                Route::resource('/documentationRequests', 'DocumentationRequestController');

                Route::put('/caseRequests/restore/{id}', 'CaseRequestController@restore')->name('caseRequests.restore');
                Route::put('/caseRequests/restore', 'CaseRequestController@restoreAll')->name('caseRequests.restoreAll');
                Route::delete('/caseRequests', 'CaseRequestController@destroyAll')->name('caseRequests.destroyAll');
                Route::get('/caseRequests/grid', 'CaseRequestController@grid')->name('caseRequests.grid');
                Route::resource('/caseRequests', 'CaseRequestController')->only(['index', 'edit', 'destroy']);

                Route::put('/purposeTrainings/restore/{id}', 'PurposeTrainingController@restore')->name('purposeTrainings.restore');
                Route::put('/purposeTrainings/restore', 'PurposeTrainingController@restoreAll')->name('purposeTrainings.restoreAll');
                Route::delete('/purposeTrainings', 'PurposeTrainingController@destroyAll')->name('purposeTrainings.destroyAll');
                Route::get('/purposeTrainings/grid', 'PurposeTrainingController@grid')->name('purposeTrainings.grid');
                Route::resource('/purposeTrainings', 'PurposeTrainingController');

                Route::put('/trainingRequests/restore/{id}', 'TrainingRequestController@restore')->name('trainingRequests.restore');
                Route::put('/trainingRequests/restore', 'TrainingRequestController@restoreAll')->name('trainingRequests.restoreAll');
                Route::delete('/trainingRequests', 'TrainingRequestController@destroyAll')->name('trainingRequests.destroyAll');
                Route::get('/trainingRequests/grid', 'TrainingRequestController@grid')->name('trainingRequests.grid');
                Route::resource('/trainingRequests', 'TrainingRequestController')->only(['index', 'edit', 'destroy']);





                Route::put('/coupons/restore/{id}', 'CouponController@restore')->name('coupons.restore');
                Route::put('/coupons/restore', 'CouponController@restoreAll')->name('coupons.restoreAll');
                Route::delete('/coupons', 'CouponController@destroyAll')->name('coupons.destroyAll');
                Route::get('/coupons/grid', 'CouponController@grid')->name('coupons.grid');
                Route::get('/coupons/activeCoupon/{coupon}', 'CouponController@activeCoupon')->name('coupons.activeCoupon');
                Route::resource('/coupons', 'CouponController');

                Route::put('/marketerCoupons/restore/{id}', 'MarketerCouponController@restore')->name('marketerCoupons.restore');
                Route::put('/marketerCoupons/restore', 'MarketerCouponController@restoreAll')->name('marketerCoupons.restoreAll');
                Route::delete('/marketerCoupons', 'MarketerCouponController@destroyAll')->name('marketerCoupons.destroyAll');
                Route::get('/marketerCoupons/grid', 'MarketerCouponController@grid')->name('marketerCoupons.grid');
                Route::get('/marketerCoupons/activeCoupon/{marketerCoupon}', 'MarketerCouponController@activeCoupon')->name('marketerCoupons.activeCoupon');
                Route::resource('/marketerCoupons', 'MarketerCouponController');

                Route::put('/marketerCommissions/restore/{id}', 'MarketerCommissionController@restore')->name('marketerCommissions.restore');
                Route::put('/marketerCommissions/restore', 'MarketerCommissionController@restoreAll')->name('marketerCommissions.restoreAll');
                Route::delete('/marketerCommissions', 'MarketerCommissionController@destroyAll')->name('marketerCommissions.destroyAll');
                Route::get('/marketerCommissions/grid', 'MarketerCommissionController@grid')->name('marketerCommissions.grid');
                Route::resource('/marketerCommissions', 'MarketerCommissionController');

                Route::put('/consultingEvaluates/restore/{id}', 'ConsultingEvaluateController@restore')->name('consultingEvaluates.restore');
                Route::put('/consultingEvaluates/restore', 'ConsultingEvaluateController@restoreAll')->name('consultingEvaluates.restoreAll');
                Route::delete('/consultingEvaluates', 'ConsultingEvaluateController@destroyAll')->name('consultingEvaluates.destroyAll');
                Route::get('/consultingEvaluates/grid', 'ConsultingEvaluateController@grid')->name('consultingEvaluates.grid');
//                Route::get('/consultingEvaluates/activeEvaluate/{consultingEvaluate}', 'ConsultingEvaluateController@activeEvaluate')->name('consultingEvaluates.activeEvaluate');
                Route::resource('/consultingEvaluates', 'ConsultingEvaluateController')->only(['index', 'edit', 'destroy']);

                Route::put('/consultingComplaints/restore/{id}', 'ConsultingComplaintController@restore')->name('consultingComplaints.restore');
                Route::put('/consultingComplaints/restore', 'ConsultingComplaintController@restoreAll')->name('consultingComplaints.restoreAll');
                Route::delete('/consultingComplaints', 'ConsultingComplaintController@destroyAll')->name('consultingComplaints.destroyAll');
                Route::get('/consultingComplaints/grid', 'ConsultingComplaintController@grid')->name('consultingComplaints.grid');
                Route::resource('/consultingComplaints', 'ConsultingComplaintController')->only(['index', 'edit', 'destroy']);




                Route::put('/members/restore/{id}', 'MemberController@restore')->name('members.restore');
                Route::put('/members/restore', 'MemberController@restoreAll')->name('members.restoreAll');
                Route::delete('/members', 'MemberController@destroyAll')->name('members.destroyAll');
                Route::get('/members/grid', 'MemberController@grid')->name('members.grid');
                Route::get('/members/activeMember/{member}', 'MemberController@activeMember')->name('members.activeMember');
                Route::get('/members/getCityAndSector', 'MemberController@getCityAndSector')->name('members.getCityAndSector');
                Route::resource('/members', 'MemberController');

                Route::put('/usersNotifications/restore/{id}', 'UsersNotificationController@restore')->name('usersNotifications.restore');
                Route::put('/usersNotifications/restore', 'UsersNotificationController@restoreAll')->name('usersNotifications.restoreAll');
                Route::delete('/usersNotifications', 'UsersNotificationController@destroyAll')->name('usersNotifications.destroyAll');
                Route::get('/usersNotifications/grid', 'UsersNotificationController@grid')->name('usersNotifications.grid');
                Route::get('/usersNotifications/getUsers', 'UsersNotificationController@getUsers')->name('usersNotifications.getUsers');
                Route::resource('/usersNotifications', 'UsersNotificationController');

                Route::put('/partners/restore/{id}', 'PartnerController@restore')->name('partners.restore');
                Route::put('/partners/restore', 'PartnerController@restoreAll')->name('partners.restoreAll');
                Route::delete('/partners', 'PartnerController@destroyAll')->name('partners.destroyAll');
                Route::get('/partners/grid', 'PartnerController@grid')->name('partners.grid');
                Route::resource('/partners', 'PartnerController');

                Route::get('/policies/grid', 'PolicyController@grid')->name('policies.grid');
                Route::resource('/policies', 'PolicyController')->only(['index','edit', 'update']);

                Route::get('/abouts/grid', 'AboutController@grid')->name('abouts.grid');
                Route::resource('/abouts', 'AboutController')->only(['index','edit', 'update']);

                Route::get('/homeInfos/grid', 'HomeInfoController@grid')->name('homeInfos.grid');
                Route::resource('/homeInfos', 'HomeInfoController')->only(['index', 'edit', 'update']);



            });  // End Role Routes


            Route::resource('/languages', 'LanguageController');
            // Route::post('/languages/{id}', 'LanguageController@update')->name('languages');

        }); // End Authenticated Admin routes
    }); // End Admin Routes

});
